## phonon-backend-vlc 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(PhononVLC)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Phonon
find_package(Phonon REQUIRED)
macro_ensure_version("4.7.0" ${PHONON_VERSION} PHONON_FOUND)
macro_log_feature(PHONON_FOUND "Phonon" "Core Library" "git://anongit.kde.org/phonon.git" TRUE "4.7.0")

# LibVLC
find_package(LIBVLC REQUIRED)
macro_ensure_version("2.1.0" ${LIBVLC_VERSION} LIBVLC_FOUND)
macro_log_feature(LIBVLC_FOUND "LibVLC" "VLC C API Library" "git://git.videolan.org/vlc.git" TRUE "2.1.0")

if(PHONON_FOUND_EXPERIMENTAL)
  add_definitions(-DPHONON_EXPERIMENTAL)
else(PHONON_FOUND_EXPERIMENTAL)
  add_definitions(-DPHONON_VLC_NO_EXPERIMENTAL)
endif(PHONON_FOUND_EXPERIMENTAL)

add_definitions(${QT_DEFINITIONS})

include_directories(${PHONON_INCLUDES} ${QT_INCLUDES} ${LIBVLC_INCLUDE_DIR} ${LIBVLC_INCLUDE_DIR}/vlc/plugins)

set(PHONON_VLC_MAJOR_VERSION "0")
set(PHONON_VLC_MINOR_VERSION "9")
set(PHONON_VLC_PATCH_VERSION "0")
set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

# PVLC only uses static mimetype lists, they are created by cmake, hooray.
include(MimeTypes.cmake)

add_subdirectory(src)

macro_display_feature_log()

=== debian/changelog ===
phonon-backend-vlc (0.9.0-2+deb9u1) stretch-security; urgency=medium

  * debian/patches: Backport upstream patch to fix build with VLC 3.0.
  * debian/control: Bump vlc B-Ds to ensure that its built against the new
    version.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 May 2018 19:45:19 +0200

phonon-backend-vlc (0.9.0-2) unstable; urgency=medium

  * Use the new splitted vlc plugin packages.
    Thanks to Sebastian Ramacher for the report (Closes: 841448)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 21 Oct 2016 12:15:08 +0200

phonon-backend-vlc (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (0.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 20:05:11 +0200

phonon-backend-vlc (0.8.2-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

  [ Felix Geyer ]
  * New upstream release.
  * Add extra-cmake-modules to build-depends, fixing FTBFS.
  * Drop automoc from build-depends, cmake's internal one is used.
  * Fix the watch file.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Make vlc a hard dependency as it contains the pulseaudio and video plugins.
    (Closes: #769469)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 01 Sep 2015 21:04:27 +0200

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules,
               libphonon-dev (>= 4:4.9.0~),
               libphonon4qt5-dev (>= 4:4.9.0~),
               libphonon4qt5experimental-dev (>= 4:4.9.0~),
               libphononexperimental-dev (>= 4:4.9.0~),
               libqt4-dev (>= 4:4.6.0),
               libv4l-dev [linux-any],
               libvlc-dev (>= 3.0),
               libvlccore-dev (>= 3.0),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-vlc.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-vlc.git

Package: phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

=== debian/watch ===
version=3
http://download.kde.org/stable/phonon/phonon-backend-vlc/([\d.]+)/phonon-backend-vlc-([\d.]+).tar.xz

## phonon-backend-vlc 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 include_directories(${PHONON_INCLUDES} ${QT_INCLUDES} ${LIBVLC_INCLUDE_DIR} ${LIBVLC_INCLUDE_DIR}/vlc/plugins)
 
 set(PHONON_VLC_MAJOR_VERSION "0")
-set(PHONON_VLC_MINOR_VERSION "9")
-set(PHONON_VLC_PATCH_VERSION "0")
+set(PHONON_VLC_MINOR_VERSION "10")
+set(PHONON_VLC_PATCH_VERSION "1")
 set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
 add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DPHONON_LIB_INSTALL_DIR="${LIB_INSTALL_DIR}")

if (MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    set (CMAKE_MODULE_PATH ${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules)
    find_package(KDEWin)
        if (KDEWIN_FOUND)
            include_directories(${KDEWIN_INCLUDES}/msvc)
            link_libraries(${KDEWIN_LIBRARIES})
        else (KDEWIN_FOUND)
            include(CheckIncludeFileCXX)
            check_include_file_cxx(inttypes.h HAVE_INTTYPES)
            check_include_file_cxx(stdint.h   HAVE_STDINT)
            if ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
                message (FATAL_ERROR "You don't have stdint.h and inttypes.h\n\t get them from  http://code.google.com/p/baseutils/source/browse/#svn/trunk/msvc,\n\t or get kdewin http://websvn.kde.org/trunk/kdesupport/kdewin/")
            endif ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
        endif (KDEWIN_FOUND)
endif (MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))

if(${PHONON_VERSION} VERSION_GREATER "4.9.50")
    message(STATUS "Building against Phonon 4.10 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_10)
elseif(${PHONON_VERSION} VERSION_GREATER "4.8.50")
    message(STATUS "Building against Phonon 4.9 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_9)
elseif(${PHONON_VERSION} VERSION_GREATER "4.6.50")
    message(STATUS "Building against Phonon 4.7 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_7)
elseif(${PHONON_VERSION} VERSION_GREATER "4.1.99")
    message(STATUS "Building against Phonon 4.2 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_2)
else()
    message(STATUS "Building against Phonon 4.0 API")
    set(BACKEND_VERSION_DEFINE)
endif()

add_definitions(${BACKEND_VERSION_DEFINE})
set(AUTOMOC_MOC_OPTIONS ${BACKEND_VERSION_DEFINE})

set(phonon_vlc_SRCS
    audio/audiooutput.cpp
    audio/audiodataoutput.cpp
    audio/volumefadereffect.cpp
    backend.cpp
    devicemanager.cpp
    effect.cpp
    effectmanager.cpp
    media.cpp
    mediacontroller.cpp
    mediaobject.cpp
    mediaplayer.cpp
    sinknode.cpp
    streamreader.cpp
#    video/videodataoutput.cpp
    video/videowidget.cpp
    video/videomemorystream.cpp
    utils/debug.cpp
    utils/libvlc.cpp
)

if(${LIBVLC_VERSION} VERSION_GREATER "2.2.0" OR ${LIBVLC_VERSION} VERSION_EQUAL "2.2.0")
    list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
endif()

if(NOT PHONON_NO_GRAPHICSVIEW)
    list(APPEND phonon_vlc_SRCS video/videographicsobject.cpp)
else()
    add_definitions(-DPHONON_NO_GRAPHICSVIEW)
endif()

if(PHONON_FOUND_EXPERIMENTAL)
    add_definitions(-DPHONON_EXPERIMENTAL)
    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp)
endif(PHONON_FOUND_EXPERIMENTAL)

if(APPLE)
    list(APPEND phonon_vlc_SRCS
        video/mac/nsvideoview.mm
        video/mac/vlcmacwidget.mm)
endif(APPLE)

automoc4_add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})
qt5_use_modules(phonon_vlc Core Widgets)

set_target_properties(phonon_vlc PROPERTIES
    PREFIX ""
    AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
)
target_link_libraries(phonon_vlc
    ${PHONON_LIBRARY}
    ${LIBVLCCORE_LIBRARY}
    ${LIBVLC_LIBRARY}
)

install(TARGETS phonon_vlc DESTINATION ${BACKEND_INSTALL_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/utils/mime.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/utils/mime.h @ONLY)

if(PHONON_BUILD_PHONON4QT5)
    # Instead of desktop files we are embedding the information into the plugin itself.
    # We have no KDE technology to help with finding the actual libraries anyway, so
    # we need to have the library path anyway.
    # Also see qtplugin/Q_PLUGIN_METADATA documentation.
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-vlc.json.in
                   ${CMAKE_CURRENT_BINARY_DIR}/phonon-vlc.json @ONLY)
else()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vlc.desktop.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/vlc.desktop @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vlc.desktop
            DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
endif()

=== debian/changelog ===
phonon-backend-vlc (0.10.1-2) sid; urgency=medium

  * New revision
  * Update Vcs fields
  * Bump phonon build dependency version
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Feb 2018 11:07:25 +0100

phonon-backend-vlc (0.10.1-1) experimental; urgency=medium

  * New upstream release (0.10.1).
  * Update build-deps and deps with the info from cmake
  * Bump to Standards-Version 4.1.3
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Feb 2018 10:50:15 +0100

phonon-backend-vlc (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879420)

  [ Pino Toscano ]
  * Update watch file.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove obsolete URL in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Dec 2017 13:04:47 +0100

phonon-backend-vlc (0.9.1-1) experimental; urgency=medium

  * New upstream release (0.9.1).
  * Update upstream metadata
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Point homepage to the git frontend
  * Update watch file, add upstream signing-key.asc
  * Drop upstream applied patch
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 13:41:18 +0200

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules,
               libphonon-dev (>= 4:4.10.0~),
               libphonon4qt5-dev (>= 4:4.10.0~),
               libphonon4qt5experimental-dev (>= 4:4.10.0~),
               libphononexperimental-dev (>= 4:4.10.0~),
               libqt4-dev (>= 4:4.6.0),
               libv4l-dev [linux-any],
               libvlc-dev (>= 2.0.1),
               libvlccore-dev (>= 2.0.1),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://cgit.kde.org/phonon-vlc.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/phonon-backend-vlc
Vcs-Git: https://salsa.debian.org/git/qt-kde-team/kde-extras/phonon-backend-vlc.git

Package: phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/
	$(overridden_command) -Bobj-qt5 -- \
	                      -DPHONON_BUILD_PHONON4QT5=ON \
	                      -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_auto_clean:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_strip:
	$(overridden_command) -pphonon-backend-vlc --dbgsym-migration='phonon-backend-vlc-dbg (<= 0.9.0-1~~)'
	$(overridden_command) -pphonon4qt5-backend-vlc --dbgsym-migration='phonon4qt5-backend-vlc-dbg (<= 0.9.0-1~~)'

## phonon-backend-vlc 0.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 set(PHONON_VLC_MAJOR_VERSION "0")
 set(PHONON_VLC_MINOR_VERSION "10")
-set(PHONON_VLC_PATCH_VERSION "1")
+set(PHONON_VLC_PATCH_VERSION "2")
 set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
 add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

=== debian/changelog ===
phonon-backend-vlc (0.10.2-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:06:23 +0800

phonon-backend-vlc (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Jan 2019 13:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://cgit.kde.org/phonon-vlc.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/phonon-backend-vlc
-Vcs-Git: https://salsa.debian.org/git/qt-kde-team/kde-extras/phonon-backend-vlc.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git
 
 Package: phonon-backend-vlc
 Architecture: any

## phonon-backend-vlc 0.10.3

=== debian/changelog ===
phonon-backend-vlc (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the qttools5-dev build dependency, needed for translations.
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jul 2019 07:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
-Standards-Version: 4.3.0
+               qttools5-dev,
+Standards-Version: 4.4.0
 Homepage: https://cgit.kde.org/phonon-vlc.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git

## phonon-backend-vlc 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(PhononVLC VERSION 0.11.1)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)

# ECM
find_package(ECM 5.60 NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Extra CMake Modules"
    URL "https://api.kde.org/frameworks/extra-cmake-modules/html/index.html")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(ECMPoQmTools)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)

# Phonon
find_package(Phonon4Qt5 4.10.60 NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Phonon core library"
    URL "https://api.kde.org/phonon/html/index.html")

find_package(Phonon4Qt5Experimental 4.10.60 NO_MODULE)
set_package_properties(Phonon4Qt5Experimental PROPERTIES
    TYPE OPTIONAL
    DESCRIPTION "Phonon experimental library"
    URL "https://api.kde.org/phonon/html/index.html")
if(Phonon4Qt5Experimental_FOUND)
    set(PHONON_EXPERIMENTAL TRUE)
endif()

# LibVLC
find_package(LIBVLC 2.1.0)
set_package_properties(LIBVLC PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "VLC C library"
    URL "http://git.videolan.org")

ecm_setup_version(PROJECT VARIABLE_PREFIX PHONON_VLC)

# PVLC only uses static mimetype lists, they are created by cmake, hooray.
include(MimeTypes.cmake)

add_subdirectory(src)

if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
phonon-backend-vlc (0.11.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:47 +0100

phonon-backend-vlc (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.60
    - bump libphonon4qt5-dev, and libphonon4qt5experimental-dev to 4:4.10.60
    - bump libvlc-dev, and libvlccore-dev to 2.1.0
  * Drop the -DPHONON_BUILD_PHONON4QT5=ON cmake parameter, as it is no more
    needed now.
  * Stop passing --fail-missing to dh_missing, as there is only one binary now
    (and thus everything is already installed there).
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - remove the -DPLUGIN_INSTALL_DIR cmake parameter, as the right plugin
      directory is detected automatically now
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Nov 2019 19:27:49 +0100

phonon-backend-vlc (0.10.3-2) unstable; urgency=medium

  * Drop Qt 4 support (Closes: #875088).
  * Fail the build if there are missing files not installed.
  * Remove dbg migration command.
  * Switch to debhelper compatibility 12.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2019 16:08:05 -0300

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 12~),
               extra-cmake-modules (>= 5.60~),
               libphonon4qt5-dev (>= 4:4.10.60~),
               libphonon4qt5experimental-dev (>= 4:4.10.60~),
               libv4l-dev [linux-any],
               libvlc-dev (>= 2.1.0),
               libvlccore-dev (>= 2.1.0),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qttools5-dev,
Standards-Version: 4.4.1
Homepage: https://cgit.kde.org/phonon-vlc.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

## phonon-backend-vlc 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
-project(PhononVLC VERSION 0.11.1)
+project(PhononVLC VERSION 0.11.2)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== debian/changelog ===
phonon-backend-vlc (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Switch Homepage to https://commits.kde.org/phonon-vlc.
  * Update the references to the upstream Git repository in
    debian/upstream/metadata.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Feb 2021 00:34:41 +0100

## phonon-backend-vlc 0.11.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
-project(PhononVLC VERSION 0.11.2)
+project(PhononVLC VERSION 0.11.3)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== src/CMakeLists.txt ===
if (MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    set (CMAKE_MODULE_PATH ${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules)
    find_package(KDEWin)
        if (KDEWIN_FOUND)
            include_directories(${KDEWIN_INCLUDES}/msvc)
            link_libraries(${KDEWIN_LIBRARIES})
        else (KDEWIN_FOUND)
            include(CheckIncludeFileCXX)
            check_include_file_cxx(inttypes.h HAVE_INTTYPES)
            check_include_file_cxx(stdint.h   HAVE_STDINT)
            if ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
                message (FATAL_ERROR "You don't have stdint.h and inttypes.h\n\t get them from  http://code.google.com/p/baseutils/source/browse/#svn/trunk/msvc,\n\t or get kdewin http://websvn.kde.org/trunk/kdesupport/kdewin/")
            endif ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
        endif (KDEWIN_FOUND)
endif (MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))

# NB: This is evaluated in the build system because the phonon headers
# change behavior based on the defines, meaning the defines must already be set
# by the time the headers are pre-processed!
if(${PHONON_VERSION} VERSION_GREATER "4.9.50")
    message(STATUS "Building against Phonon 4.10 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_10)
# Older not supported because backend doesn't build with older cmake rigging anwyay.
endif()
add_definitions(${BACKEND_VERSION_DEFINE}) # also automatically used for moc

set(phonon_vlc_SRCS
    audio/audiooutput.cpp
    audio/audiodataoutput.cpp
    audio/volumefadereffect.cpp
    backend.cpp
    devicemanager.cpp
    effect.cpp
    effectmanager.cpp
    media.cpp
    mediacontroller.cpp
    mediaobject.cpp
    mediaplayer.cpp
    sinknode.cpp
    streamreader.cpp
#    video/videodataoutput.cpp
    video/videowidget.cpp
    video/videomemorystream.cpp
    utils/debug.cpp
    utils/libvlc.cpp
)

if(NOT ${LIBVLC_VERSION} VERSION_LESS "2.2.0")
    list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
endif()

if(PHONON_EXPERIMENTAL)
    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp)
endif()

if(APPLE)
    list(APPEND phonon_vlc_SRCS
        video/mac/nsvideoview.mm
        video/mac/vlcmacwidget.mm)
endif()

ecm_create_qm_loader(phonon_vlc_SRCS phonon_vlc_qt)
add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})

target_include_directories(phonon_vlc
    PRIVATE
        # Extra include. We use some internal stuff for easy chroma conversion.
        ${LIBVLC_INCLUDE_DIR}/vlc/plugins
)

target_link_libraries(phonon_vlc
    Phonon::phonon4qt5
    Qt5::Core
    Qt5::Widgets
    LibVLC::Core
    LibVLC::LibVLC
)
if(PHONON_EXPERIMENTAL)
    target_link_libraries(phonon_vlc Phonon::phonon4qt5experimental)
endif()

install(TARGETS phonon_vlc DESTINATION ${PHONON_BACKEND_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/utils/mime.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/utils/mime.h @ONLY)

# Instead of desktop files we are embedding the information into the plugin itself.
# We have no KDE technology to help with finding the actual libraries anyway, so
# we need to have the library path anyway.
# Also see qtplugin/Q_PLUGIN_METADATA documentation.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-vlc.json.in
                ${CMAKE_CURRENT_BINARY_DIR}/phonon-vlc.json @ONLY)

=== debian/changelog ===
phonon-backend-vlc (0.11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 18:59:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Diane Trout <diane@ghic.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper (>= 12~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.60~),
                libphonon4qt5-dev (>= 4:4.10.60~),
                libphonon4qt5experimental-dev (>= 4:4.10.60~),
@@ -18,8 +18,9 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
                qttools5-dev,
-Standards-Version: 4.4.1
-Homepage: https://cgit.kde.org/phonon-vlc.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://commits.kde.org/phonon-vlc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git

## phonon-backend-vlc 0.12.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 set(phonon_vlc_SRCS
     audio/audiooutput.cpp
-    audio/audiodataoutput.cpp
     audio/volumefadereffect.cpp
     backend.cpp
     devicemanager.cpp
@@ -43,14 +42,30 @@
     video/videomemorystream.cpp
     utils/debug.cpp
     utils/libvlc.cpp
+
+    audio/audiooutput.h
+    audio/volumefadereffect.h
+    backend.h
+    devicemanager.h
+    effect.h
+    effectmanager.h
+    media.h
+    mediacontroller.h
+    mediaobject.h
+    mediaplayer.h
+    sinknode.h
+    streamreader.h
+#    video/videodataoutput.cpp
+    video/videowidget.h
+    video/videomemorystream.h
+    utils/debug.h
+    utils/libvlc.h
 )
 
-if(NOT ${LIBVLC_VERSION} VERSION_LESS "2.2.0")
-    list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
-endif()
+list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
 
 if(PHONON_EXPERIMENTAL)
-    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp)
+    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp video/videodataoutput.h)
 endif()
 
 if(APPLE)
@@ -60,26 +75,28 @@
 endif()
 
 ecm_create_qm_loader(phonon_vlc_SRCS phonon_vlc_qt)
-add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})
-
-target_include_directories(phonon_vlc
+add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE ${phonon_vlc_SRCS})
+if(QT_MAJOR_VERSION STREQUAL 5)
+    set_target_properties(phonon_vlc_qt${QT_MAJOR_VERSION} PROPERTIES INSTALL_NAME "phonon_vlc")
+endif()
+target_include_directories(phonon_vlc_qt${QT_MAJOR_VERSION}
     PRIVATE
         # Extra include. We use some internal stuff for easy chroma conversion.
         ${LIBVLC_INCLUDE_DIR}/vlc/plugins
 )
 
-target_link_libraries(phonon_vlc
-    Phonon::phonon4qt5
-    Qt5::Core
-    Qt5::Widgets
+target_link_libraries(phonon_vlc_qt${QT_MAJOR_VERSION}
+    Phonon::phonon4qt${QT_MAJOR_VERSION}
+    Qt${QT_MAJOR_VERSION}::Core
+    Qt${QT_MAJOR_VERSION}::Widgets
     LibVLC::Core
     LibVLC::LibVLC
 )
 if(PHONON_EXPERIMENTAL)
-    target_link_libraries(phonon_vlc Phonon::phonon4qt5experimental)
+    target_link_libraries(phonon_vlc_qt${QT_MAJOR_VERSION} Phonon::phonon4qt${QT_MAJOR_VERSION}experimental)
 endif()
 
-install(TARGETS phonon_vlc DESTINATION ${PHONON_BACKEND_DIR})
+install(TARGETS phonon_vlc_qt${QT_MAJOR_VERSION} DESTINATION ${PHONON_BACKEND_DIR})
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

=== debian/changelog ===
phonon-backend-vlc (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Nov 2023 07:36:44 +0100

phonon-backend-vlc (0.12.0-2) experimental; urgency=medium

  * Team upload.
  * Split the localization files from phonon4qt5-backend-vlc to a new
    phonon-backend-vlc-common, as they will be useful also for the Qt 6 version
    - add proper breaks/replaces
  * Build Qt 6 backend:
    - add the qt6-base-dev, qt6-tools-dev, libphonon4qt6-dev, and
      libphonon4qt6experimental-dev build dependencies
    - drop the -DPHONON_BUILD_QT6=OFF cmake option, as the build system can
      build both the Qt 5 and Qt 6 versions at the same time
    - add the new phonon4qt6-backend-vlc binary package
    - install the Qt 6 plugin to the proper location manually for now

 -- Pino Toscano <pino@debian.org>  Sun, 05 Nov 2023 21:26:31 +0100

phonon-backend-vlc (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key.
  * Update standards version to 4.6.2, no changes needed.
  * Remove inactive Uploaders.
  * Pass -DPHONON_BUILD_QT6=OFF to cmake to disable the Qt 6 build for now.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.90
    - bump libphonon4qt5-dev, and libphonon4qt5experimental-dev to 4:4.12.0
    - bump libvlc-dev, and libvlccore-dev to 3.0.0

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 19:02:20 +0100

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               libphonon4qt5-dev (>= 4:4.12.0~),
               libphonon4qt5experimental-dev (>= 4:4.12.0~),
               libphonon4qt6-dev (>= 4:4.12.0~),
               libphonon4qt6experimental-dev (>= 4:4.12.0~),
               libv4l-dev [linux-any],
               libvlc-dev (>= 3.0.0~),
               libvlccore-dev (>= 3.0.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt6-base-dev,
               qt6-tools-dev,
               qtbase5-dev,
               qttools5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://commits.kde.org/phonon-vlc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git

Package: phonon-backend-vlc-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: phonon4qt5-backend-vlc (<< 0.12.0-2~),
Replaces: phonon4qt5-backend-vlc (<< 0.12.0-2~),
Description: Phonon VLC backends - shared files
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains the shared files for the icons used by the Phonon VLC
 backends.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-vlc-common (>= ${source:Version}),
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

Package: phonon4qt6-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-vlc-common (>= ${source:Version}),
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt6-backend
Description: Phonon4Qt6 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt6.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/phonon/phonon-backend-vlc/([\d.]+)/phonon-backend-vlc-@ANY_VERSION@@ARCHIVE_EXT@

## phonon-backend-vlc 0.12.0+p24.04+vstable+git20251019.0551

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(PhononVLC VERSION 0.12.0)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

option(PHONON_BUILD_QT5 "Build for Qt5" ON)
option(PHONON_BUILD_QT6 "Build for Qt6" ON)

# CI is stupid and doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(PHONON_BUILD_QT5 ON)
    set(PHONON_BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(PHONON_BUILD_QT5 OFF)
    set(PHONON_BUILD_QT6 ON)
endif()

set(VERSIONS)
if(PHONON_BUILD_QT5)
    list(APPEND VERSIONS "5")
endif()
if(PHONON_BUILD_QT6)
    list(APPEND VERSIONS "6")
    set(BUILD_WITH_QT6 ON) # necessary on older ECMs
endif()

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

include(FeatureSummary)

# ECM
find_package(ECM 5.90 NO_MODULE)
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Extra CMake Modules"
    URL "https://api.kde.org/frameworks/extra-cmake-modules/html/index.html")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# PVLC only uses static mimetype lists, they are created by cmake, hooray.
include(MimeTypes.cmake)

# LibVLC
find_package(LIBVLC 3.0.0)
set_package_properties(LIBVLC PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "VLC C library"
    URL "http://git.videolan.org")

function(build_Qt version)
    set(QT_MAJOR_VERSION ${version})

    include(KDEInstallDirs${QT_MAJOR_VERSION})
    include(ECMPoQmTools)
    include(KDECMakeSettings)
    include(KDECompilerSettings)
    include(ECMSetupVersion)

    # Phonon
    find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.12.0 NO_MODULE)
    set_package_properties(Phonon4Qt${QT_MAJOR_VERSION} PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Phonon core library"
        URL "https://api.kde.org/phonon/html/index.html")

    find_package(Phonon4Qt${QT_MAJOR_VERSION}Experimental 4.12.0 NO_MODULE)
    set_package_properties(Phonon4Qt${QT_MAJOR_VERSION}Experimental PROPERTIES
        TYPE OPTIONAL
        DESCRIPTION "Phonon experimental library"
        URL "https://api.kde.org/phonon/html/index.html")
    if(Phonon4Qt${QT_MAJOR_VERSION}Experimental_FOUND)
        set(PHONON_EXPERIMENTAL TRUE)
    endif()

    ecm_setup_version(PROJECT VARIABLE_PREFIX PHONON_VLC)
    add_subdirectory(src src${version})

    unset(QUERY_EXECUTABLE CACHE)
endfunction()

foreach(version ${VERSIONS})
    build_Qt(${version})
endforeach()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,9 @@
 endif()
 add_definitions(${BACKEND_VERSION_DEFINE}) # also automatically used for moc
 
-set(phonon_vlc_SRCS
+add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE)
+
+target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
     audio/audiooutput.cpp
     audio/volumefadereffect.cpp
     backend.cpp
@@ -60,22 +62,25 @@
     video/videomemorystream.h
     utils/debug.h
     utils/libvlc.h
+    equalizereffect.cpp
 )
 
-list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
-
 if(PHONON_EXPERIMENTAL)
-    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp video/videodataoutput.h)
+    target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
+        video/videodataoutput.cpp
+        video/videodataoutput.h
+    )
 endif()
 
 if(APPLE)
-    list(APPEND phonon_vlc_SRCS
+    target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
         video/mac/nsvideoview.mm
-        video/mac/vlcmacwidget.mm)
+        video/mac/vlcmacwidget.mm
+    )
 endif()
 
-ecm_create_qm_loader(phonon_vlc_SRCS phonon_vlc_qt)
-add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE ${phonon_vlc_SRCS})
+ecm_create_qm_loader(phonon_vlc_qt${QT_MAJOR_VERSION} phonon_vlc_qt)
+
 if(QT_MAJOR_VERSION STREQUAL 5)
     set_target_properties(phonon_vlc_qt${QT_MAJOR_VERSION} PROPERTIES INSTALL_NAME "phonon_vlc")
 endif()
@@ -110,3 +115,5 @@
 # Also see qtplugin/Q_PLUGIN_METADATA documentation.
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-vlc.json.in
                 ${CMAKE_CURRENT_BINARY_DIR}/phonon-vlc.json @ONLY)
+
+ecm_install_po_files_as_qm(../poqm)

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vstable+git20251019.0551-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:51:03 +0000

phonon-backend-vlc (0.12.0-4) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 18:59:43 +0200

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libv4l-dev [linux-any],
               libvlc-dev,
               libvlccore-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt5-phonon-dev,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/phonon-vlc.git
Vcs-Git: https://invent.kde.org/neon/extras/phonon-backend-vlc.git
Vcs-Browser: https://invent.kde.org/neon/extras/phonon-backend-vlc
Maintainer: Neon CI <neon@kde.org>

Package: phonon-backend-vlc
Architecture: any
Depends: qt5-phonon-backend-vlc, qt6-phonon-backend-vlc
Description: Phonon VLC backend - meta package for qt5 & qt6

Package: qt5-phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5core5a,
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: phonon-backend-vlc
Description: Qt5 Phonon VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

Package: phonon5-backend-vlc
Architecture: all
Section: oldlibs
Priority: optional
Depends: qt5-phonon-backend-vlc
Description: Qt5 Phonon VLC backend - transitional
 This dummy package can be safely removed.

Package: phonon4qt5-backend-vlc
Architecture: any
Depends: qt5-phonon-backend-vlc
Description: Qt5 Phonon VLC backend - transitional
 This dummy package can be safely removed.

Package: qt6-phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: phonon-backend-vlc-common (<< 0.12.0-4),
        phonon4qt5-backend-vlc (<< 0.12.0-1)
Replaces: phonon-backend-vlc-common (<< 0.12.0-4),
          phonon4qt5-backend-vlc (<< 0.12.0-1)
Description: Qt6 Phonon VLC backend
 Phonon is the KF6 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Qt6 Phonon.

Package: phonon6-backend-vlc
Architecture: all
Depends: qt6-phonon-backend-vlc, ${misc:Depends}
Section: oldlibs
Priority: optional
Description: Qt6 Phonon VLC backend - transitional
 This dummy package can be safely removed.

Package: phonon4qt6-backend-vlc
Architecture: all
Section: oldlibs
Priority: optional
Depends: qt6-phonon-backend-vlc, ${misc:Depends}
Description: Qt6 Phonon VLC backend - transitional
 This dummy package can be safetly removed.

Package: phonon-backend-vlc-common
Architecture: all
Section: oldlibs
Priority: optional
Depends: qt6-phonon-backend-vlc, ${misc:Depends}
Description: Qt6 Phonon VLC backend - transitional
 This dummy package can be safetly removed.

## phonon-backend-vlc 0.12.0+p24.04+vstable+git20251020.0624

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vstable+git20251020.0624-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:25:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT6_CMAKE_ARGS = -DPHONON_BUILD_QT6=ON -DPHONON_BUILD_QT5=OFF
QT5_CMAKE_ARGS = -DPHONON_BUILD_QT5=ON -DPHONON_BUILD_QT6=OFF

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf build-QT5

override_dh_auto_configure:
	dh_auto_configure -- $(QT6_CMAKE_ARGS) -DUSE_QT_VERSION=6
	dh_auto_configure --builddirectory=build-QT5 -- $(QT5_CMAKE_ARGS) -DUSE_QT_VERSION=5

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-QT5

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-QT5

## phonon-backend-vlc 0.12.0+p24.04+vstable+git20251209.2109

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,7 @@
 endif()
 add_definitions(${BACKEND_VERSION_DEFINE}) # also automatically used for moc
 
-add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE)
-
-target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
+set(phonon_vlc_SRCS
     audio/audiooutput.cpp
     audio/volumefadereffect.cpp
     backend.cpp
@@ -62,25 +60,22 @@
     video/videomemorystream.h
     utils/debug.h
     utils/libvlc.h
-    equalizereffect.cpp
 )
 
+list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
+
 if(PHONON_EXPERIMENTAL)
-    target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
-        video/videodataoutput.cpp
-        video/videodataoutput.h
-    )
+    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp video/videodataoutput.h)
 endif()
 
 if(APPLE)
-    target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
+    list(APPEND phonon_vlc_SRCS
         video/mac/nsvideoview.mm
-        video/mac/vlcmacwidget.mm
-    )
+        video/mac/vlcmacwidget.mm)
 endif()
 
-ecm_create_qm_loader(phonon_vlc_qt${QT_MAJOR_VERSION} phonon_vlc_qt)
-
+ecm_create_qm_loader(phonon_vlc_${QT_MAJOR_VERSION} phonon_vlc_qt)
+add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE ${phonon_vlc_SRCS})
 if(QT_MAJOR_VERSION STREQUAL 5)
     set_target_properties(phonon_vlc_qt${QT_MAJOR_VERSION} PROPERTIES INSTALL_NAME "phonon_vlc")
 endif()
@@ -116,4 +111,4 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-vlc.json.in
                 ${CMAKE_CURRENT_BINARY_DIR}/phonon-vlc.json @ONLY)
 
-ecm_install_po_files_as_qm(../poqm)
+ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vstable+git20251209.2109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 21:09:15 +0000

## phonon-backend-vlc 0.12.0+p24.04+vunstable+git20251015.0936

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vunstable+git20251015.0936-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:36:45 +0000

## phonon-backend-vlc 0.12.0+p24.04+vunstable+git20251020.0209

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vunstable+git20251020.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:09:53 +0000

## phonon-backend-vlc 0.12.0+p24.04+vunstable+git20260123.0229

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vunstable+git20260123.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:29:16 +0000

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,9 @@
 
 Package: phonon-backend-vlc
 Architecture: any
-Depends: qt5-phonon-backend-vlc, qt6-phonon-backend-vlc
-Description: Phonon VLC backend - meta package for qt5 & qt6
+Depends: qt5-phonon-backend-vlc, qt6-phonon-backend-vlc, ${misc:Depends}
+Description: Phonon VLC backend 
+ Meta package for qt5 & qt6
 
 Package: qt5-phonon-backend-vlc
 Architecture: any
@@ -56,12 +57,6 @@
 Description: Qt5 Phonon VLC backend - transitional
  This dummy package can be safely removed.
 
-Package: phonon4qt5-backend-vlc
-Architecture: any
-Depends: qt5-phonon-backend-vlc
-Description: Qt5 Phonon VLC backend - transitional
- This dummy package can be safely removed.
-
 Package: qt6-phonon-backend-vlc
 Architecture: any
 Multi-Arch: same
@@ -81,6 +76,12 @@
  and video content.
  .
  This package contains VLC backend for Qt6 Phonon.
+
+Package: phonon4qt5-backend-vlc
+Architecture: all
+Depends: qt5-phonon-backend-vlc, ${misc:Depends}
+Description: Qt5 Phonon VLC backend - transitional
+ This dummy package can be safely removed.
 
 Package: phonon6-backend-vlc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,4 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_auto_install --builddirectory=build-QT5
+
